Skip to main content

Create Volume (V2)

This operation creates a new volume in the specified project.

POST/v2/volumes/create
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password.

Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
projectIdstringrequired

The ID of the project to which the volume belongs.

Example Value: proj-xxxxxxxxxxxxxxxxxxxxxxx
regionIdstringrequired

The ID of the region where the volume will be created. You can use List Cloud Regions to list available regions. The region should be bound to the specified project.

volumeNamestringrequired

The name of the volume to create.

typestring

The category of the volume. Valid values are MANAGED and EXTERNAL. Defaults to MANAGED.

storageIntegrationIdstring

The storage integration ID. Required when type is EXTERNAL.

pathstring

The path prefix within the volume. Required when type is EXTERNAL.

export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/volumes/create" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2",
"volumeName": "my_volume"
}'
export TOKEN="YOUR_API_KEY"

curl --request POST \
--url "${BASE_URL}/v2/volumes/create" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxxx",
"regionId": "aws-us-west-2",
"volumeName": "my_external_volume",
"type": "EXTERNAL",
"storageIntegrationId": "si-123456",
"path": "data/"
}'
Responses200 - application/json

Returns the created volume name.

codeinteger

Response code.

dataobject
volumeNamestring

The name of the created volume.

Returns an error message.

codeinteger

Response code.

messagestring

Error message.

{
"code": 0,
"data": {
"volumeName": "my_volume"
}
}